<?php

namespace Drupal\ad_inserter\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\user\EntityOwnerInterface;

interface AdInserterInterface extends ContentEntityInterface, EntityChangedInterface, EntityPublishedInterface, EntityOwnerInterface {

  /**
   * Return status
   *
   * @return bool
   */
  public function isActive(): bool;

  /**
   * Return body
   *
   * @return string|null
   */
  public function getBody(): ?string;

  /**
   * Return screen
   *
   * @return string
   */
  public function getScreen(): string;

  /**
   * Return machine name
   *
   * @return string|null
   */
  public function getMachineName(): ?string;

}
